.reflection-form { position: relative; }

/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/

.reflection-form > header {}
.reflection-form > header > .title {
	margin: 0;
	
	text-transform: uppercase;
	font-weight: 800;
	font-style: italic
}
.reflection-form > header > .description {
	margin: 10px 0 0;
	
	line-height: 145%;
	font-size: 10px;
}
@media (min-width: 900px) {
	.reflection-form > header { margin-bottom: 50px; }
	.reflection-form > header > .title {
		font-size: 26px;
	}
	.reflection-form > header > .title:last-child {
		line-height: 40px;
	}
}
@media (max-width: 899.99px) {
	.reflection-form > header { margin-bottom: 50px; }
	.reflection-form > header > .title {
		font-size: 18px;
	}
	.reflection-form > header > .title:last-child {
		line-height: 30px;
	}
}

/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/

.reflection-form > footer {
	text-align: right;
}
.reflection-form > footer > .submit-btn {
	border: none;
}

/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields {
	display: flex; width: 100%;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: flex-start;
	column-gap: 30px;
	row-gap: 10px;
	padding: 0;
	margin: 0 0 45px;
	
	border: none;
}
.reflection-form.sending > .fields { pointer-events: none; }

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .field {
	position: relative;
	flex: 0 0 100%; max-width: 100%;
	padding-bottom: 10px;
	
	border-bottom: solid 1px #C4C4C4;
}

@media (min-width: 700px) {
	.reflection-form > .fields > .field.cols-2 { flex: calc((100% - 30px) / 2); }
	.reflection-form > .fields > .field.cols-3 { flex: calc((100% - 60px) / 3); }
}

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .field > label {
	display: block;
	margin-bottom: 10px;
	
	font-size: 16px;
	font-weight: 500;
}
.reflection-form > .fields > .field > label:empty {
	display: none;
}

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .field > .error {
    display: none;
	margin-top: 8px;
	
	line-height: 16px;
	font-size: 12px;
	color: #BA1717;
}
.reflection-form > .fields > .field.empty > .empty,
.reflection-form > .fields > .field.wrong > .wrong { display: block; }

/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .input > input {
    display: block; height: 30px; width: 100%;
    padding: 0;
	
    border: none;
    background-color: transparent;
    
	text-overflow: ellipsis;
    font-family: inherit;
    font-size: 14px;
	font-weight: 600;
	color: #D5ED99;
}
.reflection-form > .fields > .input > input::-webkit-input-placeholder,
.reflection-form > .fields > .input > input::placeholder {
    opacity: .5;
    color: #FFF;
}

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .textarea > textarea {
    display: block; height: 120px; width: 100%; resize: none;
    padding: 5px 0 0;
	margin: 0;
	
    border: none;
    background-color: transparent;
    
	text-overflow: ellipsis;
    font-family: inherit;
    font-size: 14px;
	font-weight: 600;
	color: #D5ED99;
}
.reflection-form > .fields > .textarea > textarea::-webkit-input-placeholder,
.reflection-form > .fields > .textarea > textarea::placeholder {
    opacity: .5;
    color: #FFF;
}

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .checkbox {
	padding: 0;
	margin: 35px 0;
	
	border-bottom: none;
}
.reflection-form > .fields > .checkbox:first-child { margin-top: 0; }
.reflection-form > .fields > .checkbox:last-child { margin-bottom: 0; }
.reflection-form > .fields > .checkbox > .checkbox {
	position: relative;
	display: flex; max-width: 600px;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	row-gap: 15px;
}
.reflection-form > .fields > .checkbox > .checkbox > input {
	position: absolute; top: 0; left: 0;
	pointer-events: none;
	visibility: hidden;
}
.reflection-form > .fields > .checkbox > .checkbox > label {
	display: block; max-width: 400px;
	padding-left: 35px;
	
	text-align: left;
	line-height: 20px;
	
	cursor: pointer;
}
.reflection-form > .fields > .checkbox > .checkbox > label:not(:last-child) { margin-bottom: 5px; }
.reflection-form > .fields > .checkbox > .checkbox > label:before {
	content: "";
	position: absolute; left: 0;
	display: block; height: 16px; width: 16px;
	padding: 3px;
	
	background-image:
		linear-gradient(#FFF0, #FFF0),
		linear-gradient(#0005, #0005);
	background-clip:
		content-box,
		border-box;
	border-radius: 5px;
}
.reflection-form > .fields > .checkbox > .checkbox > input:checked + label:before {
	background-image:
		linear-gradient(#FFFF, #FFFF),
		linear-gradient(#0005, #0005);
}
.reflection-form > .fields > .checkbox > .checkbox > label > a { text-decoration: underline; }

.reflection-form > .fields > .checkbox > .checkbox + .error { padding-left: 35px; }

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .radio {
	padding: 0;
	margin: 35px 0;
	
	border-bottom: none;
}
.reflection-form > .fields > .radio:first-child { margin-top: 0; }
.reflection-form > .fields > .radio:last-child { margin-bottom: 0; }
.reflection-form > .fields > .radio > .radio {
	position: relative;
	display: flex; max-width: 600px;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
	row-gap: 15px;
}
.reflection-form > .fields > .radio > .radio > input {
	position: absolute; top: 0; left: 0;
	pointer-events: none;
	visibility: hidden;
}
.reflection-form > .fields > .radio > .radio > label {
	display: block; max-width: 400px;
	padding-left: 35px;
	
	text-align: left;
	line-height: 20px;
	
	cursor: pointer;
}
.reflection-form > .fields > .radio > .radio > label:not(:last-child) { margin-bottom: 5px; }
.reflection-form > .fields > .radio > .radio > label:before {
	content: "";
	position: absolute; left: 0;
	display: block; height: 16px; width: 16px;
	padding: 3px;
	
	background-image:
		linear-gradient(#FFF0, #FFF0),
		linear-gradient(#0005, #0005);
	background-clip:
		content-box,
		border-box;
	border-radius: 50%;
}
.reflection-form > .fields > .radio > .radio > input:checked + label:before {
	background-image:
		linear-gradient(#FFFF, #FFFF),
		linear-gradient(#0005, #0005);
}
.reflection-form > .fields > .radio > .radio > label > a { text-decoration: underline; }

.reflection-form > .fields > .radio > .radio + .error { padding-left: 35px; }

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields { background-color: inherit; }
.reflection-form > .fields > .dropdown {
	background-color: inherit;
}
.reflection-form > .fields > .dropdown > .select {
	position: relative;
	background-color: inherit;
}
.reflection-form > .fields > .dropdown > .select:after {
	content: '';
	position: absolute; top: 50%; right: 0; transform: translateY(-50%);
	display: block; height: 10px; width: 10px;
	
	background-color: currentColor;
	
	--mask-image: url("../../images/icons/arrow.down.svg");
	--mask-size: contain;
	--mask-repeat: no-repeat;
	--mask-position: center;
	
	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
}
.reflection-form > .fields > .dropdown > .select > select {
	appearance: none;
	width: 100%; height: 30px;
	margin: 0;
	padding: 0;
	
	background-color: inherit;
	border: none;
	
	line-height: inherit;
	font-family: inherit;
	font-size: inherit;
	color: inherit;
	
	cursor: pointer;
}
.reflection-form > .fields > .dropdown > .select > select:required:invalid { color: color-mix(in srgb, currentColor 50%, transparent); }
.reflection-form > .fields > .dropdown > .select > select > option[value=""][disabled] { display: none; }

/*-----------------------------------------------------------------------------------------*/

.reflection-form > .fields > .upload {}
.reflection-form > .fields > .upload > .uploadbox { position: relative; }
.reflection-form > .fields > .upload > .uploadbox > input {
	position: absolute; top: 0; left: 0;
	pointer-events: none;
	visibility: hidden;
}
.reflection-form > .fields > .upload > .uploadbox > label {
	position: relative;
	display: block; overflow: hidden;
	padding-right: 50px;
	
	white-space: nowrap;
	text-overflow: ellipsis;
	line-height: 30px;
	font-family: inherit;
	font-size: 14px;
	color: inherit;
	
	cursor: pointer;
}
.reflection-form > .fields > .upload > .uploadbox > label:before {
    content: '';
    position: absolute; top: 50%; right: 0; transform: translateY(-50%);
	display: block; height: 25px; width: 25px;
	
	background-color: currentColor;
	
	--mask-image: url("../../images/icons/upload.svg");
    --mask-size: contain;
    --mask-position: center;
    --mask-repeat: no-repeat;
	
	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
    -webkit-mask-size: var(--mask-size);
    mask-size: var(--mask-size);
    -webkit-mask-position: var(--mask-position);
    mask-position: var(--mask-position);
    -webkit-mask-repeat: var(--mask-repeat);
    mask-repeat: var(--mask-repeat);
	
	opacity: .5;
	transition: opacity .4s ease-out;
	
	pointer-events: none;
}
.reflection-form > .fields > .upload > .uploadbox:hover > label:before {
	opacity: 1;
}
.reflection-form > .fields > .upload > .uploadbox > label > span:empty:after {
	content: attr(data-placeholder);
	
	opacity: .5;
	color: inherit;
}

/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------------*/

.reflection-form > .response { display: none; }